<!--<p>login works!</p>


<form>

    <input type="text" name="Username" id="username" [(ngModel)] = "Username">
</form>


<button (click)="clickMe()">click</button>


<p [className]="'green fontsize'" style="border:1px solid black">Class Binding</p>

<p [class.green]="flag">Class Binding</p>

<p [ngClass] = "classBinding">ngClass</p>

<p [ngClass] = "'texterror fontStyle'">ngClass with Texterror</p>


<p [style.color] = "'red'">Style Binding</p>
<h2 [style.color] = "status == 'error' ? 'red': 'black'">Style Binding</h2>
<h2 [ngStyle] = "titleStyle">ngStyle</h2>

<p [ngStyle]="{'color': 'purple',
               'font-size': '20px',
               'font-weight': 'bold'}">
     Multiple styles
</p>

<img [src] = "imgSrc">


<ul *ngFor = "let x of items">
    <li>{{x}}</li>
</ul> -->


<div class="container-fluid"> 
    <div class="row bg-primary justify-content-center 
            align-items-center" style="height:80px"> 
        <div class="col-3"></div> 
        <div class="col-6 text-light h2"> 
           Todo List
        </div> 
    </div> 
  
    <!--Division for taking input from user -->
    <div class="row mt-1" style="height:80px;"> 
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
        <div class="col-12 col-md-6 bg-primary d-flex  
                    justify-content-center align-items-center  
                    text-light h3"> 
  
            <input [(ngModel)]="newTask" type="text" 
                    value="" class="col-7 form-control"
                        style="width:300px;"> 
  
            <div class="col-1"></div> 
  
            <button (click)="addToList()"  
                class="btn btn-light text-primary"> 
                ADD TASK 
            </button> 
        </div> 
  
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
    </div> 
  
    <!--Tasks added repeated divisions-->
    <div *ngFor="let x of items; let index = index;" 
            class="row mt-1" style="height:100px;"> 
  
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
  
        <div class="col-12 col-md-6 bg-primary d-flex 
                    justify-content-center align-items-center 
                    text-light h3"> 
  
            <div class="col-9 text-light h3">{{x}}</div> 
  
            <input (click)="deleteTask(index)" type="button"
                value="Delete" class="col-2 btn btn-danger"> 
        </div> 
          
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
    </div> 
</div> 





